! EUC-jp
! 自由形式のfortranで書いています。
! g77でコンパイルする場合は g77 -ffree-form -o sounyuu sounyuu.f
! gfortran でコンパイルする場合は拡張子を.f90にして、
!日本語出力がある場合は、文字コードをutf-8にしてください。
!
!
!鋼板挿入集成材梁のせん断補正係数を、
!西野文雄・長谷川彰夫『新体系土木工学7構造物の弾性解析』(土木学会)に
!書かれている細長い長方形断面に対する方法を参考にして、
!薄木先生の方法(薄木征三，後藤文彦，キッシュ ラヨシュ： 
!挿入リブ鋼板で補剛した集成材の曲げ耐荷力，
!構造工学論文集，Vol. 49A, 889-894, 2003.)
!およびその変種で求めてみる。
!上記の面積積分dA=木材幅(b-ts)dyの方法で求めると、
!挿入鋼板の深さを0にすればkは5/6になる。が、
!鋼板がある状態で、集成材と鋼板のヤング率を
!同じにしても、5/6より(鋼板が深いほど)大きめになる。
!一方、面積積分dA=換算幅(b-ts+(Es/Ew)ts)dyの方法で求めると、
!鋼板がどんなに深くても鋼板と集成材のヤング率を同じにすれば、
!k=5/6になる。
!なお、せん断補正係数に材料定数比を反映させるとすれば、
!EIが関係するIに対してはヤング率比で、
!GAが関係するAに対してはせん断弾性係数比で、
!といったことを試しにやってみるとかなり小さめのkになってしまう。
!後藤の今のところの見積りは、
!FEMから逆算したkから察するに
!材料定数比に応じてkが極端に小さくなったりはしないような気がしているが、
!これについては今後も検討したい。
!
!
!
implicit real*8(a-h, o-z)
b=60.d-3; h=120.d-3; ts=9.d-3; hs=40.d-3
ew=9.d9; es=200.d9
gw=0.7d9; gs=es/2.d0/(1.d0+0.3d0)
do
if (hukasa>50) exit
print*,'鋼板の深さを%で入力(<50)'
read*,hukasa
hs=hukasa/100.*h
!
bn=b+(es/ew-1.d0)*ts
bm=b+(gs/gw-1.d0)*ts
as=2.d0*ts*hs
aw=b*h-as
an=aw+es/ew*as
am=aw+gs/gw*as
si=ts*(h**3-(h-2.d0*hs)**3)/12.d0
wi=b*h**3/12.d0-si
ein=wi+es/ew*si
!
!
yu=(h-2.d0*hs)/2.d0
!
!print*,'As,Aw=',as,aw
!print*,'Is,Iw=',si,wi
!print*,'EsIs+EwIw=',es*si+ew*wi
!
!
print*,'面積積分dA=木材幅(b-ts)dy'
!
bk=bn
ak=an
call q(bk,b,ts,yu,h,qk,qku)
ek=b**2*ein**2/2.d0/ak/qku
print'(a,f10.5,a,f10.5,a)','bもAもIもE比     k=',ek,'(',1.d0/ek,')'
ek=b**2*ein**2/2.d0/aw/qku
print'(a,f10.5,a,f10.5,a)','A=Aw             k=',ek,'(',1.d0/ek,')'
ek=b**2*ein**2/2.d0/(aw+as)/qku
print'(a,f10.5,a,f10.5,a)','A=Aw+As          k=',ek,'(',1.d0/ek,')'
ek=b**2*ein**2/2.d0/am/qku
print'(a,f10.5,a,f10.5,a)','A=Aw+(Gs/Gw)As   k=',ek,'(',1.d0/ek,')'
!
bk=bm
ak=am
call q(bk,b,ts,yu,h,qk,qku)
ek=b**2*ein**2/2.d0/ak/qku
print'(a,f10.5,a,f10.5,a)','bとAはG比        k=',ek,'(',1.d0/ek,')'
ek=b**2*ein**2/2.d0/an/qku
print'(a,f10.5,a,f10.5,a)','bはG比, AはE比   k=',ek,'(',1.d0/ek,')'
!
bk=b
ak=aw+as
call q(bk,b,ts,yu,h,qk,qku)
ek=b**2*(wi+si)**2/2.d0/ak/qku
print'(a,f10.5,a,f10.5,a)','Ew=Es,Gw=Gs      k=',ek,'(',1.d0/ek,')'
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
print*,'面積積分dA=換算幅(b-ts+(Es/Ew)ts)dy'
bk=bn
ak=an
call q(bk,b,ts,yu,h,qk,qku)
ek=b**2*ein**2/2.d0/ak/qk
print'(a,f10.5,a,f10.5,a)','bもAもIもE比     k=',ek,'(',1.d0/ek,')'
ek=b**2*ein**2/2.d0/aw/qk
print'(a,f10.5,a,f10.5,a)','A=Aw             k=',ek,'(',1.d0/ek,')'
ek=b**2*ein**2/2.d0/(aw+as)/qk
print'(a,f10.5,a,f10.5,a)','A=Aw+As          k=',ek,'(',1.d0/ek,')'
ek=b**2*ein**2/2.d0/am/qk
print'(a,f10.5,a,f10.5,a)','A=Aw+(Gs/Gw)As   k=',ek,'(',1.d0/ek,')'
!
bk=bm
ak=am
call q(bk,b,ts,yu,h,qk,qku)
ek=b**2*ein**2/2.d0/ak/qk
print'(a,f10.5,a,f10.5,a)','bとAはG比        k=',ek,'(',1.d0/ek,')'
ek=b**2*ein**2/2.d0/an/qk
print'(a,f10.5,a,f10.5,a)','bはG比, AはE比   k=',ek,'(',1.d0/ek,')'
!
bk=b
ak=aw+as
call q(bk,b,ts,yu,h,qk,qku)
ek=b**2*(wi+si)**2/2.d0/ak/qk
print'(a,f10.5,a,f10.5,a)','Ew=Es,Gw=Gs      k=',ek,'(',1.d0/ek,')'
end do
end
!
!
subroutine q(bk,b,ts,yu,h,qk,qku)
implicit real*8(a-h,o-z)
!
qsoto=bk**3/4.d0*(-yu**5/5.d0+h**2*yu**3/6.d0&
&-h**4*yu/16.d0+h**5/60.d0)
!
qsotou=bk**2*(b-ts)/4.d0*(-yu**5/5.d0+h**2*yu**3/6.d0&
&-h**4*yu/16.d0+h**5/60.d0)
!
qnaka=bk**2*b/4.d0*(yu**5-h**2*yu**3/2.d0+h**4*yu/16.d0)&
&-bk*b**2/3.d0*(yu**2-h**2/4.d0)*yu**3&
&+2.d0/15.d0*b**3*yu**5
!
qk=qsoto+qnaka
qku=qsotou+qnaka
!
!print*,'Q外=',qsoto
!print*,'Q内=',qnaka
!
return
end
